{ withSystem, inputs, ... }:
{
  perSystem =
    {
      config,
      pkgs,
      inputs',
      ...
    }:
    {
      devShells.idris2 = pkgs.mkShell {
        buildInputs = with pkgs; [
          # Idris toolchain
          inputs'.nixpkgs-unstable.legacyPackages.idris2Packages.pack
          inputs'.nixpkgs-unstable.legacyPackages.idris2
          pkg-config
          gmp
          gnumake
          chez
          rlwrap
        ];
      };
    };
}
